loading

BUG: Images and commenting are not Firefox 3 compatible

Firefox 3 will be officially released on June 17. It's time to fix your javascript to be compatible. I sent a message about this via the feedback form several weeks ago. It contained more details. I can assist you with the debugging if you need it.

sort by: active | newest | oldest
RichardBronosky (author) 8 years ago
Turns out that the issue only occurs when Firefox 3 has Firebug installed. Unfortunately the version of Firebug that is Firefox 3 compatible does not have an option to "Disable Firebug".
Firebug can be disabled in the "Add-ons" panel. Tools->Add-ons, find FireBug, click "Disable" button.
RichardBronosky (author)  turtlebiker8 years ago
Yeah, but that is disabling an extension and requires restarting Firefox. Firebug used to allow on-the-fly enable/disable for this/all sites. That was nice. Restarting a browser is never convenient.
RichardBronosky (author) 8 years ago
According to http://developer.mozilla.org/devnews/index.php/2008/06/11/coming-tuesday-june-17th-firefox-3/ on June 17th, the official release of Firefox will be Firefox 3. (It will no longer be Beta.) The default option for Firefox 2 (as displayed in the screen shot below) is to automatically update itself.

Conclusion: On Tuesday, nearly every Firefox user that comes to instructables.com will experience the issues that we Beta users have been experiencing. I think that if you check the Apache logs to see what browsers frequent this site, you will see that this is a HUGE issue. The whole "IE has all the market share" argument doesn't apply to people with technical savvy.
Picture 5.png
The staff all(or at least most) use Firefox, so I presume they are working on the website.
RichardBronosky (author)  ll.138 years ago
Here is it Tuesday. Firefox 3 is the official publicly released version, and it cannot view images in instructables or post comments.
ll.138 years ago
Yes there are a few bugs with FF3, but I guess as it's still not officially released(out of beta).... all I can suggest is to keep using FF2.0.0.14 at the moment. :)